# 指定したユーザーのプロモーションコード上限を取得する

指定したユーザがプロモーションコードを使用できる残り回数を取得します。

User limit APIを使用すると、ユーザーがプロモーションコードを使用できる回数を制限することができます。ユーザー制限自体の設定は、管理セクションにアクセスしてください：
* プロモーションコード

Endpoint: GET /v2/project/{project_id}/admin/user/limit/promocode/external_id/{external_id}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `external_id` (integer, required)
    プロモーションexternal ID。プロジェクト内での一意のプロモーション識別子。
    Example: "coupon_44056_1"

## Query parameters:

  - `user_external_id` (string, required)
    ユーザーexternal ID
    Example: "d342dad2-9d59-11e9-a384-42010aa8003f"

## Response 200 fields (application/json):

  - `per_user` (object)

  - `per_user.total` (integer)
    ユーザーがプロモーションコードを使用できる最大回数。
    Example: 10

  - `per_user.available` (integer)
    ユーザーがプロモーションコードを利用できる残り回数。
    Example: 9

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `transactionId` (string)

## Response 422 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `errorMessageExtended` (array)

  - `transactionId` (string)


